Subject: Re: bug#25265: make-thread crashes in OS X 10.6

From: Alan Third <[email-masked]>
Date: Fri, 16 Jun 2017 20:45:31 +0100

On Thu, Jun 15, 2017 at 08:04:32PM +0100, Alan Third wrote:
> Last time I tried I couldn’t get two tests to fail, so I don’t know
> what the second one was. The other test fails more often than not
> here.

I got two to fail this time:

Selector: t
Passed:  26
Failed:  2 (2 unexpected)
Skipped: 0
Total:   28/28

Started at:   2017-06-16 20:36:24+0100
Finished.
Finished at:  2017-06-16 20:36:29+0100

.F........F.................

F thread-signal-early
    Test signaling a thread as soon as it is started by the OS.
    (ert-test-failed
     ((should-not
       (thread-alive-p thread))
      :form
      (thread-alive-p #<thread 0x102151c50>)
      :value t))

F threads-condvar-wait
    test waiting on conditional variable
    (ert-test-failed
     ((should
       (=
	(length
	 (all-threads))
	1))
      :form
      (= 2 1)
      :value nil))

Anyone got any bright ideas where to start with debugging these? The
first one looks like the thread’s starting too quick?

The second looks like the thread’s not dying quick enough?

Is this possibly just an artifact of the way that ns_select calls
thread_select then afterwards does its actual pselect/NS Event stuff?

-- 
Alan Third